package org.dromara.ems.report.domain;


import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import org.dromara.common.mybatis.core.domain.BaseEntity;

import java.math.BigDecimal;


/**
 * 峰平谷耗量报表
 *
 * @author Yinq
 * @date 2023-10-12
 */
@ExcelIgnoreUnannotated
public class PeaksValleysConsumptionReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 统计单元编号
     */
    @ExcelProperty(value = "统计单元编号")
    private String workUnitCode;

    /**
     * 统计单元名称
     */
    @ExcelProperty(value = "统计单元名称")
    private String workUnitName;

    /**
     * 统计日期
     */
    @ExcelProperty(value = "统计日期")
    private String pointTime;

    /**
     * 分时类型
     */
    @ExcelProperty(value = "分时类型")
    private String priceType;

    /**
     * 耗量(kwh)
     */
    @ExcelProperty(value = "耗量(kwh)")
    private BigDecimal expend;

    /**
     * 价格
     */
    @ExcelProperty(value = "价格")
    private BigDecimal price;

    public String getWorkUnitCode() {
        return workUnitCode;
    }

    public void setWorkUnitCode(String workUnitCode) {
        this.workUnitCode = workUnitCode;
    }

    public String getWorkUnitName() {
        return workUnitName;
    }

    public void setWorkUnitName(String workUnitName) {
        this.workUnitName = workUnitName;
    }

    public String getPointTime() {
        return pointTime;
    }

    public void setPointTime(String pointTime) {
        this.pointTime = pointTime;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public BigDecimal getExpend() {
        return expend;
    }

    public void setExpend(BigDecimal expend) {
        this.expend = expend;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "PeaksValleysConsumptionReport{" +
                "workUnitCode='" + workUnitCode + '\'' +
                ", workUnitName='" + workUnitName + '\'' +
                ", pointTime='" + pointTime + '\'' +
                ", priceType='" + priceType + '\'' +
                ", expend=" + expend +
                '}';
    }
}
